Skip to main content
`Ctrl`+`K`

# ISGeneralSetIndices

Sets the indices for an `ISGENERAL` index set

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISGeneralSetIndices(IS is, PetscInt n, const PetscInt idx[], PetscCopyMode mode)

Logically Collective

## Input Parameters

- is - the index set

- n - the length of the index set

- idx - the list of integers

- mode - see `PetscCopyMode` for meaning of this flag.

## Note

Use `ISCreateGeneral()` to create the `IS` and set its indices in a single function call

## See Also

Low-level Vector Communication, `IS`, `ISBLOCK`, `ISCreateGeneral()`, `ISGeneralSetIndicesFromMask()`, `ISBlockSetIndices()`, `ISGENERAL`, `PetscCopyMode`

## Level

beginner

## Location

src/vec/is/is/impls/general/general.c

## Implementations

ISGeneralSetIndices_General() in src/vec/is/is/impls/general/general.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages